%global fontname oflb-melissa
%global fontconf 63-%{fontname}.conf

Name:           %{fontname}-fonts
Version:        2.0
Release:        1.20150104%{?dist}
Summary:        Melissa font family
License:        OFL

URL:            http://openfontlibrary.org/en/font/melissa
Source0:        https://iplexsia.fedorapeople.org/melissa-font/oflb-melissa-fonts-2.0.tar.gz
Source1:        %{name}-fontconfig.conf
Source2:        %{fontname}.metainfo.xml

BuildArch:      noarch
BuildRequires:  fontpackages-devel
Requires:       fontpackages-filesystem

%description
This is a thin handwritten font,
Clean and easy to read.

%prep
%setup -q 
chmod 0644 *.txt
for txt in *.txt ; do
   fold -s $txt > $txt.new
   sed -i 's/\r//' $txt.new
   touch -r $txt $txt.new
   mv $txt.new $txt
done

%build

%install
install -m 0755 -d %{buildroot}%{_fontdir}
install -m 0644 -p *.otf %{buildroot}%{_fontdir}

install -m 0755 -d %{buildroot}%{_fontconfig_templatedir} \
                   %{buildroot}%{_fontconfig_confdir}

install -m 0644 -p %{SOURCE1} \
        %{buildroot}%{_fontconfig_templatedir}/%{fontconf}
ln -s %{_fontconfig_templatedir}/%{fontconf} \
      %{buildroot}%{_fontconfig_confdir}/%{fontconf}

# Add AppStream metadata
install -Dm 0644 -p %{SOURCE2} \
        %{buildroot}%{_datadir}/appdata/%{fontname}.metainfo.xml

%_font_pkg -f %{fontconf} *.otf
%doc *.txt
%{_datadir}/appdata/%{fontname}.metainfo.xml

%changelog
* Wed May 13 2015 endopaxi <endopaxi@gmail.com> - 2.0-1.20150104
- Initial version
- Add metainfo file to show this font in gnome-software


